Subject: Re: [PATCH 00/26] git-log: implement new --diff-merge options

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Dec 2020 19:22:31 -0800

Elijah Newren <[email-masked]> writes:

> ...  As I said, I'm not sure why
> anyone would ever want to see diffs for merges and not for normal
> commits, the closest useful thing I can imagine is commit messages +
> diffs for just merges, stripping the normal commits.

If I can run "git log --some-options master..next" (or more
realistically, over the range ko/next..next) to get individual
commits (without patch) and merges (only when --cc gives some
interesting nearby-changes), I would be very happy.  But is there a
set of options that lets me do so?